This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 978016 - Anaconda cannot reset the storage back to the initial state after reclaiming space
Anaconda cannot reset the storage back to the initial state after reclaiming ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 15:45 EDT by Mark Hamzy
Modified: 2015-01-09 15:40 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-09 15:40:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Video of problem (5.15 MB, video/ogg)
2013-06-25 15:45 EDT, Mark Hamzy
no flags Details
anaconda.log (26.02 KB, text/plain)
2013-06-25 15:50 EDT, Mark Hamzy
no flags Details
storage.log (208.49 KB, text/plain)
2013-06-25 15:50 EDT, Mark Hamzy
no flags Details

  None (edit)
Description Mark Hamzy 2013-06-25 15:45:06 EDT
Created attachment 765266 [details]
Video of problem

Description of problem:
When you are installing over a previously installed system and you reclaim disk space, you cannot undo the reclamation.

Version-Release number of selected component (if applicable):
anaconda 19.30.9-1

How reproducible:
Always

Steps to Reproduce:
1. Click Installation Destination.
2. Select the hard drive(s) to install on.
3. Click Reclaim Space.
4. Delete the entire disk(s).
5. There is no way to view the original partition information and reuse it.

Actual results:


Expected results:
The "reset all" button should reset to the original information.

Additional info:
Comment 1 Mark Hamzy 2013-06-25 15:50:16 EDT
Created attachment 765267 [details]
anaconda.log
Comment 2 Mark Hamzy 2013-06-25 15:50:41 EDT
Created attachment 765268 [details]
storage.log
Comment 3 Mark Hamzy 2013-06-25 15:53:34 EDT
Proposing as a CommonBug. The only known workaround is to reboot.
Comment 4 David Lehman 2013-06-25 16:14:36 EDT
There is a little button down by the + and - buttons that actually rescans storage from disk. You can use that.
Comment 5 Mark Hamzy 2013-06-25 16:27:31 EDT
Interesting. Yes, that does work.  So the "Reset All" button is to undo temporary changes made? Will this be documented correctly in the install guide?
Comment 6 Adam Williamson 2013-09-24 02:55:17 EDT
"So the "Reset All" button is to undo temporary changes made?"

Yes, that's what it does. Those two could probably stand to be a bit better explained.
Comment 7 Adam Williamson 2013-09-24 03:04:12 EDT
dropping commonbugs as this isn't a bug; adding documentation keyword, docs team, can you check the install guide and see if the function of each of those buttons is clearly explained? "Reset All" just 'undoes' all your planned partitioning operations and reverts to the state when you first entered the custom partitioning screen; the "rescan" button actually goes out and re-scans all the storage devices on the system, so you can make some changes with fdisk or gparted or whatever on the ctrl-alt-f2 console and then use the 'rescan' button to pick them up (new in F19, IIRC).
Comment 8 Fedora End Of Life 2015-01-09 13:32:17 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Adam Williamson 2015-01-09 15:40:42 EST
I think it's best to resolve this as NOTABUG, and if someone has a clear UI improvement suggestion, that can be filed separately.

Note You need to log in before you can comment on or make changes to this bug.